%define tarname automake-1.4-p5
%define apiversion 1.4

Summary: A GNU tool for automatically creating Makefiles.
Name: automake
Version: 1.4p5
Release: 1.3.0
Copyright: GPL
Group: Development/Tools
Source: ftp://ftp.gnu.org/pub/gnu/automake/%{tarname}.tar.gz
Patch0: automake-1.4-19980208.patch
Patch1: automake-1.4-libtoolize.patch
Patch2: automake-1.4-subdir.patch
Patch3: automake-1.4-backslash.patch
Patch4: automake-1.4-lisp.patch
Patch5: automake-1.4-versioning.patch
URL: http://sourceware.cygnus.com/automake
Requires: perl
Prereq: /sbin/install-info
BuildArchitectures: noarch
Buildroot: %{_tmppath}/%{name}-root

%description
Automake is an experimental Makefile generator. Automake was inspired
by the 4.4BSD make and include files, but aims to be portable and to
conform to the GNU standards for Makefile variables and targets.

You should install Automake if you are developing software and would
like to use its ability to automatically generate GNU standard
Makefiles. If you install Automake, you will also need to install
GNU's Autoconf package.

%prep
%setup -q -n %{tarname}
# XXX don't apply development patch from CVS.
#%patch0 -p0 -b .19980208
%patch1 -p0
%patch2 -p1 -b .subdir
%patch3 -p1 -b .backslash
%patch4 -p1 -b .lisp
%patch5 -p1 -b .version

%build
%configure --program-suffix=-%{apiversion}
make

%install
rm -rf ${RPM_BUILD_ROOT}

#make install prefix=${RPM_BUILD_ROOT}%{_prefix}
%makeinstall

gzip -9nf ${RPM_BUILD_ROOT}%{_infodir}/automake*

ln -s automake-%{apiversion} ${RPM_BUILD_ROOT}%{_bindir}/automake
ln -s aclocal-%{apiversion} ${RPM_BUILD_ROOT}%{_bindir}/aclocal

%clean
rm -rf ${RPM_BUILD_ROOT}

%post
/sbin/install-info %{_infodir}/automake.info.gz %{_infodir}/dir

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/automake.info.gz %{_infodir}/dir
fi

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README THANKS TODO
%{_bindir}/*
%{_infodir}/*.info*
%{_datadir}/automake
%{_datadir}/aclocal-%{apiversion}

%changelog
* Thu Apr 10 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.3.0
  - Initial build for EnGarde Secure Community 2 (Feint).

* Mon Feb 03 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.5.0
  - Initial build for EnGarde v1.5 (Thrust).
  - Taken from Red Hat 7.3.  Pre-EnGarde changelog removed.
